--
-- Initialization data for the Sync4j engine
--
-- @author Stefano Fornari
-- @version $Id: init_engine.sql,v 1.20 2005/05/30 07:47:09 luigiafassina Exp $
--


--
-- SYNC4j_USER
--
insert into sync4j_user (username, password, email, first_name, last_name)
  values('guest', 'guest', 'guest@sync4j.org', 'guest', 'guest');
  
insert into sync4j_user (username, password, email, first_name, last_name)
  values('admin', 'sa', 'admin@sync4j.org', 'admin', 'admin');

--
-- SYNC4J_DEVICE_CAPS
--
insert into sync4j_device_caps (id, largeobject, numberofchanges)
  values(1, 'Y', 'Y');
insert into sync4j_device_caps (id, largeobject, numberofchanges)
  values(2, 'N', 'N');

--
-- SYNC4J_DEVICE
--
insert into sync4j_device (id, description, type, client_nonce, server_nonce, server_password, id_caps, timezone, convert_date)
  values('syncml-phone', 'SyncML phone clients', 'Phone', '', '', 'sync4j',2, null, 'N');

insert into sync4j_device (id, description, type, client_nonce, server_nonce, server_password, id_caps, timezone, convert_date)
  values('sc-pim-demo', 'Sync4j Java GUI Client Example', 'Java GUI Client', '', '', 'sync4j',2, null, 'N');

insert into sync4j_device (id, description, type, client_nonce, server_nonce, server_password, id_caps, timezone, convert_date)
  values('sc-pim-outlook', 'Sync4j Outlook Client', 'Outlook Client', '', '', 'sync4j',2, null, 'N');
  
insert into sync4j_device (id, description, type, client_nonce, server_nonce, server_password, id_caps, timezone, convert_date)
  values('sc-pim-blackberry', 'Sync4j BlackBerry Client', 'BlackBerry Client', '', '', 'sync4j',2, null, 'N');

insert into sync4j_device (id, description, type, client_nonce, server_nonce, server_password, id_caps, timezone, convert_date)
  values('sc-pim-palm', 'Sync4j Palm Client', 'Palm Client', '', '', 'sync4j',2, null, 'N');

insert into sync4j_device (id, description, type, client_nonce, server_nonce, server_password, id_caps, timezone, convert_date)
  values('sc-pim-ppc', 'Sync4j PocketPC Client', 'PocketPC Client', '', '', 'sync4j',2, null, 'N');

insert into sync4j_device (id, description, type, client_nonce, server_nonce, server_password, id_caps, timezone, convert_date)
  values('sc-pim-ipod', 'Sync4j iPod Client', 'iPod Client', '', '', 'sync4j',2, null, 'N');

insert into sync4j_device (id, description, type, client_nonce, server_nonce, server_password, id_caps, timezone, convert_date)
  values('sc-api-j2se', 'Sync4j Java API J2SE', 'Java API J2SE', '', '', 'sync4j',2, null, 'N');

insert into sync4j_device (id, description, type, client_nonce, server_nonce, server_password, id_caps, timezone, convert_date)
  values('sc-api-j2me', 'Sync4j Java API J2ME', 'Java API J2ME', '', '', 'sync4j',2, null, 'N');

insert into sync4j_device (id, description, type, client_nonce, server_nonce, server_password, id_caps, timezone, convert_date)
  values('sc-api-nat', 'Sync4j C++ API', 'C++ API', '', '', 'sync4j',2, null, 'N');


--
-- SYNC4J_PRINCIPAL
--
insert into sync4j_principal (id, username, device)
  values('1', 'guest', 'syncml-phone');
  
insert into sync4j_principal (id, username, device)
  values('2', 'guest', 'sc-pim-demo');

insert into sync4j_principal (id, username, device)
  values('3', 'guest','sc-pim-outlook');

insert into sync4j_principal (id, username, device)
  values('4', 'guest','sc-pim-blackberry');

insert into sync4j_principal (id, username, device)
  values('5', 'guest','sc-pim-palm');

insert into sync4j_principal (id, username, device)
  values('6', 'guest','sc-pim-ppc');

insert into sync4j_principal (id, username, device)
  values('7', 'guest','sc-api-j2se');

insert into sync4j_principal (id, username, device)
  values('8', 'guest','sc-api-j2me');

insert into sync4j_principal (id, username, device)
  values('9', 'guest','sc-api-nat');

insert into sync4j_principal (id, username, device)
  values('10', 'guest','sc-pim-ipod');



--
-- SYNC4J_ID
--
insert into sync4j_id values('device',0);

insert into sync4j_id values('principal',10);

insert into sync4j_id values('module',0);

insert into sync4j_id values('sourcetype',1);

insert into sync4j_id values('connector',0);

--
-- SYNC4J_ROLE
--
insert into sync4j_role values('sync_user','User');

insert into sync4j_role values('sync_administrator','Administrator');

--
-- SYNC4J_USER_ROLE
--
insert into sync4j_user_role values('guest','sync_user');

insert into sync4j_user_role values('admin','sync_administrator');

